<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Vue Basics</title>
    <link
      href="https://fonts.googleapis.com/css2?family=Jost:wght@400;700&display=swap"
      rel="stylesheet"
    />
    <link rel="stylesheet" href="styles.css" />
    <script src="https://unpkg.com/vue@3/dist/vue.global.js" defer></script>
    <script src="app.js" defer></script>
  </head>
  <body>
    <header>
      <h1>Vue Course Goals</h1>
    </header>
    <section id="user-goals">
      <h2>My course goals</h2>
      <input type="text" v-model="inputValue"/>
      <button @click="addGoal">Add Goal</button>

      <!-- The elements are removed from the DOM if the condition is evaluated to false -->
      <p v-if="goals.length === 0">No goals have been added yet - please start adding some!</p>
      <ul v-else>
        <li v-for="(goal, index) in goals" :key="goal" @click="removeGoal(index)">
          <p>{{index}} - {{ goal }}</p>
          <!-- THe modifier "stop" - stops the propagation of the "click" event of the parent element  -->
          <input type="text" @click.stop/>
        </li>
      </ul>

      <!-- Looping through the objects -->
      <!-- <ul>
        <li v-for="(value, key, index) in dataObj">{{ key }}: {{ value }} - index: {{ index }}</li>
      </ul> -->

      <!-- Looping through a range of numbers -->
      <!-- <ul>
        <li v-for="num in 10">{{ num }}</li>
      </ul> -->

      <!-- Hides v-show elements with CSS, but the elements are exists in the DOM -->
      <!-- 
      <p v-show="goals.length === 0">No goals have been added yet - please start adding some!</p>
      <ul v-show="goals.length > 0">
        <li>{{}}</li>
      </ul>
      -->

    </section>
  </body>
</html>
